Bug 507935 - Common bug in NetworkManager
Common bug in NetworkManager
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-24 15:03 EDT by udit sharma
Modified: 2010-12-05 01:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:47:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description udit sharma 2009-06-24 15:03:22 EDT
Description of problem:
Well, I am reporting this bug because I wanted it, nobody has reported this bug earlier. Well, when my broadband modem (ADSL Modem) lights fluctuates for a while than NetworkManager will automatically connect to "Auto eth0" connection and disconnects from broadband connection, I know this is default connection but when I was used to use Windows this thing were not there. In India, broadband connection are not too effective so, I think there should be fix around of this bug.
Is there any relationship with ping means NetworkManager ping the network for a regular interval of time i.e. less than 10 seconds and when network manager didn't receive packets from the network, it disconnects??
Comment 1 Niels Haase 2009-06-24 18:56:35 EDT
Thanks for filling this bug. Can you please provide your /var/log/messages after you got disconenct from your broadband connection. Thank you.

I think that not NM disconnects the broadband, if I understand you correct, your line is sometimes lost the connection between the modem and the switching centre. 

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 udit sharma 2009-06-24 21:36:28 EDT
Yeah, I think you are right Niels Haase, but Why NM disconnects my broadband connection after view seconds when my DSL light fluctuates? Here is my log file:

http://fpaste.org/paste/16398


There you can see I started my broadband connection "DataOne" on 04:54:57
Like I told you is there any relationship with ping, like on 05:52:02 says "No response to 3 echo-requests" and than terminate the connection. I think NM sends echo requests in very few seconds.
Comment 3 Bug Zapper 2009-11-16 05:25:59 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Dan Williams 2010-02-08 20:35:10 EST
You can turn off echo packets via the connection editor in the PPP config pane.  Does that solve the problem?  Or is the issue that your connection drops many more than 3 echo replies in a row?  How fast is it?
Comment 5 Bug Zapper 2010-11-04 06:58:37 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-05 01:47:53 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.